- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders.webSecurityScannerSettings/calculate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders.webSecurityScannerSettings/calculate#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders.webSecurityScannerSettings/calculate#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders.webSecurityScannerSettings/calculate#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders.webSecurityScannerSettings/calculate#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders.webSecurityScannerSettings/calculate#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/folders.webSecurityScannerSettings/calculate#try-it)

Calculates the effective WebSecurityScannerSettings based on its level in the resource hierarchy and its settings.

Settings provided closer to the target resource take precedence over those further away (e.g. folder will override organization level settings). The default SCC setting for the detector service defaults can be overridden at organization, folder and project levels. No assumptions should be made about the SCC defaults as it is considered an internal implementation detail.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `name` field:

- `securitycenter.websecurityscannersettings.calculate`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`GET https://securitycenter.googleapis.com/v1beta2/{name=folders/*/webSecurityScannerSettings}:calculate`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the WebSecurityScannerSettings to calculate. Formats: - organizations/{organization}/webSecurityScannerSettings - folders/{folder}/webSecurityScannerSettings - projects/{project}/webSecurityScannerSettings |

### Query parameters

| Parameters ||
|---|---|
| `showEligibleModulesOnly` | `boolean` Optional. When set, will only retrieve the modules that are in scope. By default, all modules will be shown. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta2/WebSecurityScannerSettings`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).